<?php require_once('../Connections/cn_conexion.php'); ?>
<?php include_once('../includes/funciones.php');?>
<?php 
$consulta=$_POST["consulta_gastos"];
$f_dateini=$_POST['f_dateini'];
$f_datefin=$_POST['f_datefin'];
$act_filtro=$_POST["act_filtro"];
?>
<?php
if (!function_exists("GetSQLValueString")) {
function GetSQLValueString($theValue, $theType, $theDefinedValue = "", $theNotDefinedValue = "") 
{
  if (PHP_VERSION < 6) {
    $theValue = get_magic_quotes_gpc() ? stripslashes($theValue) : $theValue;
  }

  $theValue = function_exists("mysql_real_escape_string") ? mysql_real_escape_string($theValue) : mysql_escape_string($theValue);

  switch ($theType) {
    case "text":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;    
    case "long":
    case "int":
      $theValue = ($theValue != "") ? intval($theValue) : "NULL";
      break;
    case "double":
      $theValue = ($theValue != "") ? doubleval($theValue) : "NULL";
      break;
    case "date":
      $theValue = ($theValue != "") ? "'" . $theValue . "'" : "NULL";
      break;
    case "defined":
      $theValue = ($theValue != "") ? $theDefinedValue : $theNotDefinedValue;
      break;
  }
  return $theValue;
}
}

mysql_query("SET NAMES 'utf8'");

mysql_select_db($database_cn_conexion, $cn_conexion);
$query_rs_cuentas = "".$consulta."";
$rs_cuentas = mysql_query($query_rs_cuentas, $cn_conexion) or die(mysql_error());
$row_rs_cuentas = mysql_fetch_assoc($rs_cuentas);
$totalRows_rs_cuentas = mysql_num_rows($rs_cuentas);

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8" />
<title>SISTEMA DE FACTURACION</title>
<?php
header("Content-type: application/octet-stream");
header("Content-Disposition: attachment; filename=reporte.xls");
header("Pragma: no-cache");
header("Expires: 0");
?>
</head>
<body>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td colspan="5"><h2>Relación de Cuentas</h2></td>
  </tr>
  <tr>
    <td colspan="5">
    <?php
    if($act_filtro=='1'){
	?>
    Relación del&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;<?php echo($f_dateini)?>&nbsp;&nbsp;&nbsp;al&nbsp;&nbsp;&nbsp;&nbsp;<?php echo($f_datefin);?>&nbsp;&nbsp;
    <?php
	}else{
		echo("Relación de todas las cajas cerradas hasta la fecha ".$f_datefin);
		}
	?>
    </td>
  </tr>
  <tr>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
    <td>&nbsp;</td>
  </tr>
  <tr>
    <td width="50" align="center" bgcolor="#000066"><p style="color:#fff">CAJA</p></td>
    <td width="240" bgcolor="#000066"><p style="color:#fff">CLIENTE</p></td>
    <td width="100" align="center" bgcolor="#000066"><p style="color:#fff">MONTO</p></td>
    <td width="80" align="center" bgcolor="#000066"><p style="color:#fff">CIERRE</p></td>
    <td width="100" align="center" bgcolor="#000066"><p style="color:#fff">CANCELACIÓN</p></td>
  </tr>
  <?php $i=1;?>
  <?php do { ?>
	<?php 
        $res=$i%2;
        if($res==0){
            $color="#CDEBFC";
            }else{
                $color="#ffffff";
                }
        if($row_rs_cuentas['hab_cajagasto']=='0'){
        	$classe_colortexto="enlace_cancelar";
            $clase_texto='class="texto_cancelar"';
            }else{
                $classe_colortexto="enlace_normal";
                $clase_texto="";
                }
    ?>   
    <tr>
      <td align="center" style="background-color:<?php echo($color);?>"><?php echo $row_rs_cuentas['num_caja']; ?></td>
      <td style="background-color:<?php echo($color);?>"><?php echo $row_rs_cuentas['nom_cliente']; ?></td>
      <td align="right" style="background-color:<?php echo($color);?>">
	  <?php 
	  $montogastoc=round($row_rs_cuentas['SUM(gastos.monto_real)'],2); 
	  if($montogastoc<0){
	  $mensaje_rendicion="Abonar a cuenta";
	  $estilo_texto='style="color:#F00"';
	  }else{
		  $mensaje_rendicion="Monto a favor";
		  $estilo_texto='';
		  }
	  ?>
      <p <?php echo($estilo_texto);?> >
      <?php
	  echo(number_format(decimals(abs($montogastoc)),2));
	  ?>
      &nbsp;&nbsp;&nbsp;</p></td>
      <td align="center" style="background-color:<?php echo($color);?>"><?php echo fecha_peru($row_rs_cuentas['fecha_cierre']); ?></td>
      <td align="center" style="background-color:<?php echo($color);?>"><?php //echo($mensaje_rendicion);?></td>
    </tr>
    <?php $i++;?>
    <?php } while ($row_rs_cuentas = mysql_fetch_assoc($rs_cuentas)); ?>
</table>
</body>
</html>
<?php
mysql_free_result($rs_cuentas);
?>
